database.sarang.net
UserID
Passwd
Database
DBMS
MySQL
PostgreSQL
Firebird
Oracle
Informix
Sybase
MS-SQL
DB2
Cache
ㆍCUBRID
LDAP
ALTIBASE
Tibero
DB 문서들
스터디
Community
공지사항
자유게시판
구인|구직
DSN 갤러리
도움주신분들
Admin
운영게시판
최근게시물
CUBRID Q&A 1031 게시물 읽기
No. 1031
Q.loaddb시 오류 발생에 대한 재문의
작성자
안성민
작성일
2008-04-07 14:18:08
조회수
6,056

지난번에 알려주신 명령어 옵션중 -c 5000을 주고 로드하니까, 문제가 해결됐었습니다.

그런데 이번에 다시 발생되어 다시 문의드립니다.

 

OS 환경 : Windows 2003 Server R2 Standard Edition

CUBRID : ver 7.1

 

오브젝트 파일의 에러가 발생된 행에 데이타값을 보면 7개 어트리뷰트에 대한 모든 값이

정확하게 들어가 있습니다. 하지마 \"어트리뷰트는 7개인데 데이타가 6개밖에 못찾았습니

다\"라는 오류가 뜨면서 loaddb가 되지 않는 오류가 발생했습니다.

 

그때 알려주신 방법이

 

     1) ver 7.3으로 업그레이드

     2) loaddb 시 옵션 -v -c 5000 -vc 를 추가 하는 것이였습니다.

 

2번의 것으로 문제가 해결되어, 에러가 않떨어지고 복구가 되길래 문제가 해결된 줄 알았

습니다. 헌데, 오늘 또다시 테스트 해보니 똑같은 에러가 발생했습니다.

 

[질문 1]

 

에러 발생되어 큐브리드 ver 7.3을 깔고, 새로 데이타베이스를 생성한 후, 기존DB에서 에러

가 발생되는 테이블만 제외한 모든 테이블을 unloaddb하였고 또한, 에러난 테이블은 csv파

일로 백업하였습니다. 그후, loaddb, 매니져에서 cvs파일을 로드하여 ver 7.3에 데이타베이

스를 복구하였습니다. 그리고 다시 unloaddb하여, 복구했더니, 똑같이 에러가 발생하더라구

요. 그래서 찾아보니, DBMD 버젼업시에  migrate_v64?인가 로 데이타베이스를 수정해줘야

한다고 되어있더라구요. 이 명령은 따로 없던데, 혹시 이 업그레이드를 하고자 하면, 따로 비

용을 지불해야하는건가요? 아니면 이 툴도 무료로 사용가능한 것인가요?

 

아니면, 저 마이그레이션 툴없이 오류를 수정할 수 있는 방법이 있나요?

이 글에 대한 댓글이 총 1건 있습니다.

안녕하세요.

말씀하신 내용에 대하여 전반적으로 잘 이해가 되지 않습니다.

7.3으로 업그레이드를 하셨다고 하였는데, 다시 unload 하여 load 하려하니깐 에러가 난다고 하는 것이 어느 버젼에서의 문제인가요? 7.3에서 unload 하여 7.3 으로 load 하는데 발생한 에러인지요? 아니면 이전 7.1에서 다시 unload 를 하였다는 의미이신가요?

그리고 마이그레이션 툴은 migrate_v73 을 사용하셔야 합니다. 과거의 버젼을 7.3으로 마이그레이션 하는 것이니 migrate_v73을 사용하셔야 합니다. 여기서 또 궁금한 것이 있는데요.. 이미 업그레이드를 하셨는데 다시 마이그레이션을 하셔야 하는지?

아니라면 7.1이 있는 서버가 있고, 7.3이 있는 서버가 있고 그런것인가요? 그렇다면 7.1에서의 unload 문제는 계속 있을 수 있읍니다.

불편하시겠지만 환경에 대한 설명을 자세히 부탁합니다.

 

>지난번에 알려주신 명령어 옵션중 -c 5000을 주고 로드하니까, 문제가 해결됐었습니다.

>그런데 이번에 다시 발생되어 다시 문의드립니다.

>

>OS 환경 : Windows 2003 Server R2 Standard Edition

>CUBRID : ver 7.1

>

>오브젝트 파일의 에러가 발생된 행에 데이타값을 보면 7개 어트리뷰트에 대한 모든 값이

>정확하게 들어가 있습니다. 하지마 \"어트리뷰트는 7개인데 데이타가 6개밖에 못찾았습니

>다\"라는 오류가 뜨면서 loaddb가 되지 않는 오류가 발생했습니다.

>

>제 생각에는 간헐적으로 오류 없이 데이타베이스가 복구가 되는 것 같습니다.

>

>그때 알려주신 방법이

>

>     1) ver 7.3으로 업그레이드

>     2) loaddb 시 옵션 -v -c 5000 -vc 를 추가 하는 것이였습니다.

>

>2번의 것으로 문제가 해결되어, 에러가 않떨어지고 복구가 되길래 문제가 해결된 줄 알았

>습니다. 헌데, 오늘 또다시 테스트 해보니 똑같은 에러가 발생했습니다.

>

>[질문 1]

>

>에러 발생되어 큐브리드 ver 7.3을 깔고, 새로 데이타베이스를 생성한 후, 기존DB에서 에러

>가 발생되는 테이블만 제외한 모든 테이블을 unloaddb하였고 또한, 에러난 테이블은 csv파

>일로 백업하였습니다. 그후, loaddb, 매니져에서 cvs파일을 로드하여 ver 7.3에 데이타베이

>스를 복구하였습니다. 그리고 다시 unloaddb하여, 복구했더니, 똑같이 에러가 발생하더라구

>요. 그래서 찾아보니, DBMD 버젼업시에  migrate_v64?인가 로 데이타베이스를 수정해줘야

>한다고 되어있더라구요. 이 명령은 따로 없던데, 혹시 이 업그레이드를 하고자 하면, 따로 비

>용을 지불해야하는건가요? 아니면 이 툴도 무료로 사용가능한 것인가요?

>

>아니면, 저 마이그레이션 툴없이 오류를 수정할 수 있는 방법이 있나요?

 

남재우님이 2008-04-07 14:33:08에 작성한 댓글입니다. Edit
[Top]
No.
제목
작성자
작성일
조회
1034Q.loaddb시 발생한 오류 문제 질문입니다.(댓글이 길어져 새로 씁니다.) [1]
안성민
2008-04-08
5450
1033Q.큐브리드에서 커넥션 갯수를 확인 할수 있나요? [1]
롯데짱
2008-04-08
6144
1032Q.master sever와 연결 할수 없다는데요..?? [1]
서형석
2008-04-07
6064
1031Q.loaddb시 오류 발생에 대한 재문의 [1]
안성민
2008-04-07
6056
1030Q.생성쿼리만 따로 text 파일로 뽑아내는 방법은 뭔가요? [1]
이경만
2008-04-07
6056
1028Q.CUBRID 라이센스는 [1]
검토자
2008-04-04
6445
1027Q.hibernate-3.2.6에서 큐브리드 지원하나요? [1]
hibernate초보
2008-04-03
7391
Valid XHTML 1.0!
All about the DATABASE... Copyleft 1999-2019 DSN, All rights reserved.
작업시간: 0.069초, 이곳 서비스는
	PostgreSQL v11.5로 자료를 관리합니다